package cz.vydrzel.dpczu.api.demoapp.model;

import cz.vydrzel.dpczu.dao.model.UserRole;
import lombok.*;
import lombok.experimental.FieldDefaults;

@Builder(toBuilder = true)
@FieldDefaults(makeFinal = true, level = AccessLevel.PRIVATE)
@Getter
@NoArgsConstructor(force = true, access = AccessLevel.PRIVATE)
@AllArgsConstructor
public class Profile {

    private String email;
    private String firstname;
    private String lastname;
    private UserRole role;

}
