package cz.vydrzel.dpczu.api.idp.model;

import lombok.*;
import lombok.experimental.FieldDefaults;

import java.util.List;

@Builder(toBuilder = true)
@FieldDefaults(makeFinal = true, level = AccessLevel.PRIVATE)
@Getter
@NoArgsConstructor(force = true, access = AccessLevel.PRIVATE)
@AllArgsConstructor
public class JwksResponse {

    @Singular
    List<Jwk> keys;
}
