package cz.vydrzel.dpczu.api.idp.model;

import cz.vydrzel.dpczu.dao.model.UserRole;
import lombok.*;
import lombok.experimental.FieldDefaults;

@Builder(toBuilder = true)
@FieldDefaults(makeFinal = true, level = AccessLevel.PRIVATE)
@Getter
@NoArgsConstructor(force = true, access = AccessLevel.PRIVATE)
@AllArgsConstructor
public class RegisterUserRequest {

    String login;
    String password;
    String firstname;
    String lastname;
    UserRole role;
}
