package cz.vydrzel.dpczu.api.idp.model;

import lombok.*;
import lombok.experimental.FieldDefaults;

@Builder(toBuilder = true)
@FieldDefaults(makeFinal = true, level = AccessLevel.PRIVATE)
@Getter
@NoArgsConstructor(force = true, access = AccessLevel.PRIVATE)
@AllArgsConstructor
public class LoginRequest {

    String login;
    String password;
    String totp;

}
