package cz.vydrzel.dpczu.dao;

import cz.vydrzel.dpczu.dao.model.UserEntity;
import org.springframework.data.repository.CrudRepository;
import org.springframework.stereotype.Repository;

import java.util.Optional;
import java.util.UUID;

@Repository
public interface UserDao extends CrudRepository<UserEntity, UUID> {

    Optional<UserEntity> findByLoginIgnoreCase(String login);

}
