package cz.vydrzel.dpczu;

import cz.vydrzel.dpczu.api.demoapp.DemoAppController;
import cz.vydrzel.dpczu.api.idp.IdpController;
import cz.vydrzel.dpczu.dao.UserDao;
import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.boot.test.mock.mockito.MockBean;

import static org.assertj.core.api.Assertions.assertThat;

@SpringBootTest
class DpCzuApplicationTests {

    @Autowired(required = false)
    private IdpController idpController;

    @Autowired(required = false)
    private DemoAppController demoAppController;

    @MockBean
    private UserDao userDao;

    @Test
    void contextLoads() {
        assertThat(idpController).isNotNull();
        assertThat(demoAppController).isNotNull();
    }

}
